Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class OrdRejReasonFactory

    java.lang.Object
      com.fxcm.fix.OrdRejReasonFactory

    public class OrdRejReasonFactory

extends Object

Field Summary
`static IOrdRejReason` | `BROKER_EXCHANGE_OPTION` Broker Exchange Option
`static IOrdRejReason` | `DUPLICATE_ORDER` Duplicate Order
`static IOrdRejReason` | `DUPLICATE_VERBAL_ORDER` Duplicate Verbal Order
`static IOrdRejReason` | `EXCHANGE_CLOSED` Exchange Closed
`static IOrdRejReason` | `INCORRECT_ALLOCATED_QUANTITY` Incorrect Allocated Quantity
`static IOrdRejReason` | `INCORRECT_QUANTITY` Incorrect Quantity
`static IOrdRejReason` | `INVALID_INVESTOR_ID` Invalid Investor ID
`static IOrdRejReason` | `ORDER_EXCEEDS_LIMIT` Order exceeds limit
`static IOrdRejReason` | `OTHER` Other
`static IOrdRejReason` | `STALE_ORDER` Stale Order
`static IOrdRejReason` | `SURVEILLENCE_OPTION` Surveillence Option
`static IOrdRejReason` | `TOO_LATE_TO_ENTER` Too late to enter
`static IOrdRejReason` | `TRADE_ALONG_REQUIRED` Trade Along Required
`static IOrdRejReason` | `UNKNOWN_ACCOUNT` Unknown Account
`static IOrdRejReason` | `UNKNOWN_ORDER` Unknown Order
`static IOrdRejReason` | `UNKNOWN_SYMBOL` Unknown Symbol
`static IOrdRejReason` | `UNSUPPORTED_ORDER_CHARACTERISTIC` Unsupported Order Characteristic

Constructor Summary
`OrdRejReasonFactory()`

Method Summary
`static IOrdRejReason` | `toCode(int aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROKER_EXCHANGE_OPTION

    public static final IOrdRejReason BROKER_EXCHANGE_OPTION

  Broker Exchange Option

### UNKNOWN_SYMBOL

    public static final IOrdRejReason UNKNOWN_SYMBOL

  Unknown Symbol

### EXCHANGE_CLOSED

    public static final IOrdRejReason EXCHANGE_CLOSED

  Exchange Closed

### ORDER_EXCEEDS_LIMIT

    public static final IOrdRejReason ORDER_EXCEEDS_LIMIT

  Order exceeds limit

### TOO_LATE_TO_ENTER

    public static final IOrdRejReason TOO_LATE_TO_ENTER

  Too late to enter

### UNKNOWN_ORDER

    public static final IOrdRejReason UNKNOWN_ORDER

  Unknown Order

### DUPLICATE_ORDER

    public static final IOrdRejReason DUPLICATE_ORDER

  Duplicate Order

### DUPLICATE_VERBAL_ORDER

    public static final IOrdRejReason DUPLICATE_VERBAL_ORDER

  Duplicate Verbal Order

### STALE_ORDER

    public static final IOrdRejReason STALE_ORDER

  Stale Order

### TRADE_ALONG_REQUIRED

    public static final IOrdRejReason TRADE_ALONG_REQUIRED

  Trade Along Required

### INVALID_INVESTOR_ID

    public static final IOrdRejReason INVALID_INVESTOR_ID

  Invalid Investor ID

### UNSUPPORTED_ORDER_CHARACTERISTIC

    public static final IOrdRejReason UNSUPPORTED_ORDER_CHARACTERISTIC

  Unsupported Order Characteristic

### SURVEILLENCE_OPTION

    public static final IOrdRejReason SURVEILLENCE_OPTION

  Surveillence Option

### INCORRECT_QUANTITY

    public static final IOrdRejReason INCORRECT_QUANTITY

  Incorrect Quantity

### INCORRECT_ALLOCATED_QUANTITY

    public static final IOrdRejReason INCORRECT_ALLOCATED_QUANTITY

  Incorrect Allocated Quantity

### UNKNOWN_ACCOUNT

    public static final IOrdRejReason UNKNOWN_ACCOUNT

  Unknown Account

### OTHER

    public static final IOrdRejReason OTHER

  Other

Constructor Detail

### OrdRejReasonFactory

    public OrdRejReasonFactory()

Method Detail

### toCode

    public static IOrdRejReason toCode(int aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``ORDREJREASON_*``
  Returns:
    order reject reason fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.